com.holonplatform.vaadin.flow.components.builders

## Interface HasTextConfigurator<C extends HasTextConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Known Subinterfaces:
    ButtonBuilder, ButtonConfigurator<C>, ButtonConfigurator.BaseButtonConfigurator, ContextMenuConfigurator.MenuItemBuilder<L,M,B>, DialogBuilder<B>, DialogBuilder.ConfirmDialogBuilder, DialogBuilder.MessageDialogBuilder, DialogBuilder.QuestionDialogBuilder, DialogConfigurator<C>, DialogConfigurator.ClosableDialogConfigurator<C>, LabelBuilder<L>, LabelConfigurator<L,C>, LabelConfigurator.BaseLabelConfigurator<L>, NativeButtonBuilder, NavigationLink.Builder

      public interface HasTextConfigurator<C extends HasTextConfigurator<C>>

  Configurator for `HasText` type components.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `text(com.holonplatform.core.i18n.Localizable text)` Sets the text content using a `Localizable` message.
    `default C` | `text(String text)` Sets the text content, replacing any previous content.
    `default C` | `text(String defaultText, String messageCode, Object... arguments)` Sets the text content using a localizable `messageCode`.

- - ### Method Detail

    - #### text

          C text(com.holonplatform.core.i18n.Localizable text)

      Sets the text content using a `Localizable` message.

      The text value is interpred as plain text and the HTML markup is not supported.

      A `null` value is interpreted as an empty text.

      Parameters:
        `text` - Localizable text content message (may be null)
      Returns:
        this
      See Also:
        `LocalizationProvider`

    - #### text

          default C text(String text)

      Sets the text content, replacing any previous content.

      The text value is interpred as plain text and the HTML markup is not supported.

      A `null` text value is interpreted as an empty text.

      Parameters:
        `text` - The text content to set
      Returns:
        this

    - #### text

          default C text(String defaultText,
                         String messageCode,
                         Object... arguments)

      Sets the text content using a localizable `messageCode`.

      The text value is interpred as plain text and the HTML markup is not supported.

      Parameters:
        `defaultText` - Default text content if no translation is available for given `messageCode`
        `messageCode` - Text translation message key
        `arguments` - Optional translation arguments
      Returns:
        this
      See Also:
        `LocalizationProvider`

Copyright © 2019 The Holon Platform. All rights reserved.